VULKAN_HPP_NAMESPACE::PresentInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PresentInfoKHR:
[legend]

## Public Member Functions

| PresentInfoKHR (uint32_t waitSemaphoreCount_=0, const Semaphore *pWaitSemaphores_=nullptr, uint32_t swapchainCount_=0, const SwapchainKHR *pSwapchains_=nullptr, const uint32_t *pImageIndices_=nullptr, Result *pResults_=nullptr)
| PresentInfoKHR (VkPresentInfoKHR const &rhs)
PresentInfoKHR & | operator= (VkPresentInfoKHR const &rhs)
PresentInfoKHR & | setPNext (const void *pNext_)
PresentInfoKHR & | setWaitSemaphoreCount (uint32_t waitSemaphoreCount_)
PresentInfoKHR & | setPWaitSemaphores (const Semaphore *pWaitSemaphores_)
PresentInfoKHR & | setSwapchainCount (uint32_t swapchainCount_)
PresentInfoKHR & | setPSwapchains (const SwapchainKHR *pSwapchains_)
PresentInfoKHR & | setPImageIndices (const uint32_t *pImageIndices_)
PresentInfoKHR & | setPResults (Result *pResults_)
| operator VkPresentInfoKHR const & () const
| operator VkPresentInfoKHR & ()
bool | operator== (PresentInfoKHR const &rhs) const
bool | operator!= (PresentInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | waitSemaphoreCount
const Semaphore * | pWaitSemaphores
uint32_t | swapchainCount
const SwapchainKHR * | pSwapchains
const uint32_t * | pImageIndices
Result * | pResults

## Private Attributes

StructureType | sType = StructureType::ePresentInfoKHR

## Detailed Description

Definition at line 21182 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PresentInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::PresentInfoKHR::PresentInfoKHR | ( | uint32_t | waitSemaphoreCount_ = `0`,
|  | const Semaphore * | pWaitSemaphores_ = `nullptr`,
|  | uint32_t | swapchainCount_ = `0`,
|  | const SwapchainKHR * | pSwapchains_ = `nullptr`,
|  | const uint32_t * | pImageIndices_ = `nullptr`,
|  | Result * | pResults_ = `nullptr`
| ) |  |

inline

Definition at line 21184 of file vulkan.hpp.

: waitSemaphoreCount( waitSemaphoreCount_ )
, pWaitSemaphores( pWaitSemaphores_ )
, swapchainCount( swapchainCount_ )
, pSwapchains( pSwapchains_ )
, pImageIndices( pImageIndices_ )
, pResults( pResults_ )
{
}

## PresentInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::PresentInfoKHR::PresentInfoKHR | ( | VkPresentInfoKHR const & | rhs | ) |

inline

Definition at line 21199 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PresentInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkPresentInfoKHR &()

VULKAN_HPP_NAMESPACE::PresentInfoKHR::operator VkPresentInfoKHR & | ( |  | ) |

inline

Definition at line 21256 of file vulkan.hpp.

{
return *reinterpret_cast<VkPresentInfoKHR*>(this);
}

## operator VkPresentInfoKHR const &()

VULKAN_HPP_NAMESPACE::PresentInfoKHR::operator VkPresentInfoKHR const & | ( |  | ) | const

inline

Definition at line 21251 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPresentInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PresentInfoKHR::operator!= | ( | PresentInfoKHR const & | rhs | ) | const

inline

Definition at line 21273 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::operator= | ( | VkPresentInfoKHR const & | rhs | ) |

inline

Definition at line 21204 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PresentInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PresentInfoKHR::operator== | ( | PresentInfoKHR const & | rhs | ) | const

inline

Definition at line 21261 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( waitSemaphoreCount == rhs.waitSemaphoreCount )
&& ( pWaitSemaphores == rhs.pWaitSemaphores )
&& ( swapchainCount == rhs.swapchainCount )
&& ( pSwapchains == rhs.pSwapchains )
&& ( pImageIndices == rhs.pImageIndices )
&& ( pResults == rhs.pResults );
}

References pImageIndices, pNext, pResults, pSwapchains, pWaitSemaphores, sType, swapchainCount, and waitSemaphoreCount.

Referenced by operator!=().

## setPImageIndices()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setPImageIndices | ( | const uint32_t * | pImageIndices_ | ) |

inline

Definition at line 21239 of file vulkan.hpp.

{
pImageIndices = pImageIndices_;
return *this;
}

References pImageIndices.

## setPNext()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 21209 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPResults()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setPResults | ( | Result * | pResults_ | ) |

inline

Definition at line 21245 of file vulkan.hpp.

{
pResults = pResults_;
return *this;
}

References pResults.

## setPSwapchains()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setPSwapchains | ( | const SwapchainKHR * | pSwapchains_ | ) |

inline

Definition at line 21233 of file vulkan.hpp.

{
pSwapchains = pSwapchains_;
return *this;
}

References pSwapchains.

## setPWaitSemaphores()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setPWaitSemaphores | ( | const Semaphore * | pWaitSemaphores_ | ) |

inline

Definition at line 21221 of file vulkan.hpp.

{
pWaitSemaphores = pWaitSemaphores_;
return *this;
}

References pWaitSemaphores.

## setSwapchainCount()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setSwapchainCount | ( | uint32_t | swapchainCount_ | ) |

inline

Definition at line 21227 of file vulkan.hpp.

{
swapchainCount = swapchainCount_;
return *this;
}

References swapchainCount.

## setWaitSemaphoreCount()

PresentInfoKHR& VULKAN_HPP_NAMESPACE::PresentInfoKHR::setWaitSemaphoreCount | ( | uint32_t | waitSemaphoreCount_ | ) |

inline

Definition at line 21215 of file vulkan.hpp.

{
waitSemaphoreCount = waitSemaphoreCount_;
return *this;
}

References waitSemaphoreCount.

## Field Documentation

## pImageIndices

const uint32_t* VULKAN_HPP_NAMESPACE::PresentInfoKHR::pImageIndices

Definition at line 21287 of file vulkan.hpp.

Referenced by operator==(), and setPImageIndices().

## pNext

const void* VULKAN_HPP_NAMESPACE::PresentInfoKHR::pNext = nullptr

Definition at line 21282 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pResults

Result* VULKAN_HPP_NAMESPACE::PresentInfoKHR::pResults

Definition at line 21288 of file vulkan.hpp.

Referenced by operator==(), and setPResults().

## pSwapchains

const SwapchainKHR* VULKAN_HPP_NAMESPACE::PresentInfoKHR::pSwapchains

Definition at line 21286 of file vulkan.hpp.

Referenced by operator==(), and setPSwapchains().

## pWaitSemaphores

const Semaphore* VULKAN_HPP_NAMESPACE::PresentInfoKHR::pWaitSemaphores

Definition at line 21284 of file vulkan.hpp.

Referenced by operator==(), and setPWaitSemaphores().

## sType

StructureType VULKAN_HPP_NAMESPACE::PresentInfoKHR::sType = StructureType::ePresentInfoKHR

private

Definition at line 21279 of file vulkan.hpp.

Referenced by operator==().

## swapchainCount

uint32_t VULKAN_HPP_NAMESPACE::PresentInfoKHR::swapchainCount

Definition at line 21285 of file vulkan.hpp.

Referenced by operator==(), and setSwapchainCount().

## waitSemaphoreCount

uint32_t VULKAN_HPP_NAMESPACE::PresentInfoKHR::waitSemaphoreCount

Definition at line 21283 of file vulkan.hpp.

Referenced by operator==(), and setWaitSemaphoreCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PresentInfoKHR::pSwapchains
const SwapchainKHR * pSwapchains
Definition: vulkan.hpp:21286
VULKAN_HPP_NAMESPACE::PresentInfoKHR::operator==
bool operator==(PresentInfoKHR const &rhs) const
Definition: vulkan.hpp:21261
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PresentInfoKHR::swapchainCount
uint32_t swapchainCount
Definition: vulkan.hpp:21285
VULKAN_HPP_NAMESPACE::PresentInfoKHR::pWaitSemaphores
const Semaphore * pWaitSemaphores
Definition: vulkan.hpp:21284
VkPresentInfoKHR
Definition: vulkan_core.h:4831
VULKAN_HPP_NAMESPACE::PresentInfoKHR::PresentInfoKHR
PresentInfoKHR(uint32_t waitSemaphoreCount_=0, const Semaphore *pWaitSemaphores_=nullptr, uint32_t swapchainCount_=0, const SwapchainKHR *pSwapchains_=nullptr, const uint32_t *pImageIndices_=nullptr, Result *pResults_=nullptr)
Definition: vulkan.hpp:21184
VULKAN_HPP_NAMESPACE::PresentInfoKHR::waitSemaphoreCount
uint32_t waitSemaphoreCount
Definition: vulkan.hpp:21283
VULKAN_HPP_NAMESPACE::PresentInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:21282
VULKAN_HPP_NAMESPACE::PresentInfoKHR::pImageIndices
const uint32_t * pImageIndices
Definition: vulkan.hpp:21287
VULKAN_HPP_NAMESPACE::PresentInfoKHR::pResults
Result * pResults
Definition: vulkan.hpp:21288
VULKAN_HPP_NAMESPACE::PresentInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:21279